Package picard.sam

# Class SetNmAndUqTags

java.lang.Object
picard.cmdline.CommandLineProgram
picard.sam.SetNmMdAndUqTags
picard.sam.SetNmAndUqTags

@Deprecated @DocumentedFeature public class SetNmAndUqTags extends SetNmMdAndUqTags
Deprecated.
This tool is deprecated and SetNmMdAndUqTags should be used instead.

## Field Summary

### Fields inherited from class picard.sam.SetNmMdAndUqTags

`INPUT, IS_BISULFITE_SEQUENCE, OUTPUT, SET_ONLY_UQ`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`SetNmAndUqTags()`
Deprecated.

## Method Summary

### Methods inherited from class picard.sam.SetNmMdAndUqTags

`doWork, requiresReference`

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SetNmAndUqTags

public SetNmAndUqTags()
Deprecated.